## minieigen 0.3~dfsg~bzr25

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/miniEigen.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/miniEigen.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/miniEigen"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/miniEigen"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== minieigen/Makefile ===
# this makefile is only useful for testing
DCSRC=double-conversion/bignum.cc double-conversion/bignum-dtoa.cc double-conversion/cached-powers.cc double-conversion/diy-fp.cc double-conversion/double-conversion.cc double-conversion/fast-dtoa.cc double-conversion/fixed-dtoa.cc double-conversion/strtod.cc

default:
	g++ -DEIGEN_DONT_ALIGN -ansi miniEigen.cpp $(DCSRC) -o miniEigen.so -shared -fPIC `pkg-config python --cflags` -lboost_python -I/usr/include/eigen3
	PYTHONPATH=. python -c 'from miniEigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44))'

=== debian/changelog ===
minieigen (0.3~dfsg~bzr25-2) unstable; urgency=low

  * [6c7cd63] Fix doc-generation on non-linux archs.
  * [c171a89] Adjust packaging in order to python2.
  * [aebe6ba] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Apr 2013 11:06:45 +0200

minieigen (0.3~dfsg~bzr25-1) unstable; urgency=low

  * Initial package for Debian. (Closes: #691800)

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Jan 2013 16:42:26 +0100

minieigen (0.3~-3) unstable; urgency=low

  * Use default boost version always (precise has separate branch now)

 -- Václav Šmilauer <eu@doxos.eu>  Mon, 22 Oct 2012 10:46:19 +0200

minieigen (0.3-2) unstable; urgency=low

  * Separate debian packaging from upstream code

 -- Václav Šmilauer <eu@doxos.eu>  Thu, 18 Oct 2012 13:26:33 +0200

minieigen (0.3-1) unstable; urgency=low

  * Migrate miniEigen->minieigen
  * Add pypi packaging information

 -- Václav Šmilauer <eu@doxos.eu>  Fri, 12 Oct 2012 15:46:59 +0200

minieigen (0.2-2) unstable; urgency=low

  * Add converters from flat/nested sequences for matrix types

 -- Václav Šmilauer <eu@doxos.eu>  Fri, 31 Aug 2012 15:26:50 +0200

minieigen (0.2-1) unstable; urgency=low

  * Copy and use double-conversion (grisu algo) for the shortest double representation

 -- Václav Šmilauer <eu@doxos.eu>  Wed, 11 Jul 2012 20:38:26 +0200

minieigen (0.1-1) unstable; urgency=low

  * Initial package

 -- Václav Šmilauer <eu@doxos.eu>  Fri, 10 Feb 2012 13:00:25 +0100

=== debian/control ===
Source: minieigen
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Václav Šmilauer <eu@doxos.eu>,
 Anton Gladky <gladk@debian.org>
Build-Depends:
 debhelper (>= 9),
 libboost-python-dev,
 libdouble-conversion-dev,
 libeigen3-dev,
 python-dev (>=2.6.6-3~),
 python-sphinx
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Section: libs
Homepage: http://www.launchpad.net/minieigen
Vcs-Git: git://git.debian.org/git/debian-science/packages/minieigen.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/minieigen.git

Package: python-minieigen
Section: python
Architecture: any
Depends:
 libjs-jquery,
 node-underscore,
 python (<<2.8),
 python (>= 2.7),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 libeigen3-dev
Description: Small boost::python wrapper of parts of the Eigen library.
 Small wrapper for core parts of Eigen, c++ library for linear algebra.
 It is mainly useful for inspecting c++ code which already uses eigen and
 boost::python. Supported types are Vectors (2,3,6 and dynamic-sized with
 integer and floating-point values), Matrices (3x3, 6x6 and dynamic-sized
 with floating-point values) and Quaternions. Numerous methods are wrapped
 and the original API of Eigen is followed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2
PYVER = $(shell pyversions -dv)

export PYTHONPATH :=  $(CURDIR)/debian/python-minieigen/usr/lib/python$(PYVER)/dist-packages:$(PYTHONPATH);

override_dh_installdocs:
	dh_installdocs # run the default
	make -C doc html
	#dh_sphinxdoc doc/build/html
	cp -r doc/build/html debian/python-minieigen/usr/share/doc/python-minieigen

override_dh_auto_install:
	dh_auto_install
	$(CURDIR)/debian/test/test.py

## minieigen 0.3~dfsg~bzr32

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = PYTHONPATH=. sphinx-build
 PAPER         =
 BUILDDIR      = build

=== minieigen/Makefile ===
# this makefile is only useful for testing
DCSRC=double-conversion/bignum.cc double-conversion/bignum-dtoa.cc double-conversion/cached-powers.cc double-conversion/diy-fp.cc double-conversion/double-conversion.cc double-conversion/fast-dtoa.cc double-conversion/fixed-dtoa.cc double-conversion/strtod.cc

default:
	g++ -DEIGEN_DONT_ALIGN -ansi minieigen.cpp $(DCSRC) -o minieigen.so -shared -fPIC `pkg-config python --cflags` -lboost_python -I/usr/include/eigen3
	PYTHONPATH=. python -c 'from minieigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44))'

=== debian/changelog ===
minieigen (0.3~dfsg~bzr32-1) unstable; urgency=low

  * [85e0902] Imported Upstream version 0.3~dfsg~bzr32
  * [497377a] Refresh patches. Remove ones, applied by upstream.
  * [349b4b5] Bumped Standards-Version to 3.9.4 (no changes). 
              Use dh_sphinxdoc.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 May 2013 21:31:07 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  libdouble-conversion-dev,
  libeigen3-dev,
  python-dev (>=2.6.6-3~),
- python-sphinx
+ python-sphinx (>= 1.0.7+dfsg)
+X-Python-Version: >= 2.7
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.7
 Section: libs
 Homepage: http://www.launchpad.net/minieigen
 Vcs-Git: git://git.debian.org/git/debian-science/packages/minieigen.git
@@ -22,16 +22,15 @@
 Section: python
 Architecture: any
 Depends:
- libjs-jquery,
- node-underscore,
  python (<<2.8),
  python (>= 2.7),
  ${misc:Depends},
  ${python:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+ ${sphinxdoc:Depends}
 Recommends:
  libeigen3-dev
-Description: Small boost::python wrapper of parts of the Eigen library.
+Description: Small boost::python wrapper of parts of the Eigen library
  Small wrapper for core parts of Eigen, c++ library for linear algebra.
  It is mainly useful for inspecting c++ code which already uses eigen and
  boost::python. Supported types are Vectors (2,3,6 and dynamic-sized with

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 export PYTHONPATH :=  $(CURDIR)/debian/python-minieigen/usr/lib/python$(PYVER)/dist-packages:$(PYTHONPATH);
 
 override_dh_installdocs:
-	dh_installdocs # run the default
+	dh_installdocs
 	make -C doc html
-	#dh_sphinxdoc doc/build/html
 	cp -r doc/build/html debian/python-minieigen/usr/share/doc/python-minieigen
+	dh_sphinxdoc
 
 override_dh_auto_install:
 	dh_auto_install

## minieigen 0.3~dfsg~bzr38

=== minieigen/Makefile ===
# this makefile is only useful for testing
DCSRC=double-conversion/bignum.cc double-conversion/bignum-dtoa.cc double-conversion/cached-powers.cc double-conversion/diy-fp.cc double-conversion/double-conversion.cc double-conversion/fast-dtoa.cc double-conversion/fixed-dtoa.cc double-conversion/strtod.cc

default:
	clang++ -DEIGEN_DONT_ALIGN -ansi minieigen.cpp $(DCSRC) -o minieigen.so -shared -fPIC `pkg-config python --cflags` -lboost_python -I/usr/include/eigen3
	PYTHONPATH=. python -c 'from minieigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44)); print AlignedBox3((0,1,2),(3.12,4.34,5.22));'
debug:
	g++ -DEIGEN_DONT_ALIGN -g -O0 -ansi minieigen.cpp $(DCSRC) -o minieigen.so -shared -fPIC `pkg-config python --cflags` -lboost_python -I/usr/include/eigen3
	PYTHONPATH=. gdb --args python -c 'from minieigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44)); print AlignedBox3((0,1,2),(3.12,4.34,5.22));'

=== debian/changelog ===
minieigen (0.3~dfsg~bzr38-3) unstable; urgency=medium

  * [1513b33] Fix additional parameter injection for weak archs.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 Dec 2013 21:34:59 +0100

minieigen (0.3~dfsg~bzr38-2) unstable; urgency=medium

  * [02e6619] Add ggc-min-expand and ggc-min-heapsize parameters to compiler 
              on archs, where compilation fails due to insufficient RAM.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 Dec 2013 16:05:58 +0100

minieigen (0.3~dfsg~bzr38-1) unstable; urgency=medium

  * [545a9ff] Imported Upstream version 0.3~dfsg~bzr38
  * [27c8eb0] Bump Standards-Version: 3.9.5, no changes.
  * [eebe537] Refresh patch.
  * [047c7d4] Ignore quilt dir
  * [800cc13] Unapply patches after build

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Dec 2013 10:09:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,16 @@
 
 %:
 	dh $@ --with python2
+
 PYVER = $(shell pyversions -dv)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 export PYTHONPATH :=  $(CURDIR)/debian/python-minieigen/usr/lib/python$(PYVER)/dist-packages:$(PYTHONPATH);
+
+ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf hurd-i386 mips mipsel))
+  export DEB_CXXFLAGS_MAINT_APPEND = --param ggc-min-expand=20 --param ggc-min-heapsize=128000
+  export DEB_CFLAGS_MAINT_APPEND = --param ggc-min-expand=20 --param ggc-min-heapsize=128000
+endif
 
 override_dh_installdocs:
 	dh_installdocs

## minieigen 0.4~dfsg~bzr50

=== minieigen/Makefile ===
# this makefile is only useful for testing
DCSRC=double-conversion/bignum.cc double-conversion/bignum-dtoa.cc double-conversion/cached-powers.cc double-conversion/diy-fp.cc double-conversion/double-conversion.cc double-conversion/fast-dtoa.cc double-conversion/fixed-dtoa.cc double-conversion/strtod.cc

default:
	clang++ -DEIGEN_DONT_ALIGN -ansi minieigen.cpp $(DCSRC) -o minieigen.so -shared -fPIC `pkg-config python --cflags` -ftemplate-backtrace-limit=0 -lboost_python -I/usr/include/eigen3
	python basic-test.py
	# PYTHONPATH=. python -c 'from minieigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44)); print AlignedBox3((0,1,2),(3.12,4.34,5.22));'
	# for testing complex numbers
	# a=Vector6c(); a[0]=2+1j; a[1]=2j; a[2]=3; a[3]=0; print a
debug:
	g++ -DEIGEN_DONT_ALIGN -g -O0 -ansi minieigen.cpp $(DCSRC) -o minieigen.so -shared -fPIC `pkg-config python --cflags` -lboost_python -I/usr/include/eigen3
	PYTHONPATH=. gdb --args python -c 'from minieigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44)); print AlignedBox3((0,1,2),(3.12,4.34,5.22));'

=== debian/changelog ===
minieigen (0.4~dfsg~bzr50-6) unstable; urgency=medium

  * [3562d4b] One more try to tune gcc parameters.

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Jan 2014 23:14:28 +0100

minieigen (0.4~dfsg~bzr50-5) unstable; urgency=medium

  * [9c30a02] Set gcc parameters for all archs.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Jan 2014 10:44:52 +0100

minieigen (0.4~dfsg~bzr50-4) unstable; urgency=medium

  * [47677dc] Use additional gcc parameters on weak archs 
              to reduce RAM-consumption,

 -- Anton Gladky <gladk@debian.org>  Tue, 21 Jan 2014 20:23:03 +0100

minieigen (0.4~dfsg~bzr50-3) unstable; urgency=medium

  * [71027c0] Update version number in get_orig script.
  * Move new version from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2014 21:45:50 +0100

minieigen (0.4~dfsg~bzr50-2) experimental; urgency=medium

  * [34938b8] Do not use clang explicitly.

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2014 19:24:53 +0100

minieigen (0.4~dfsg~bzr50-1) experimental; urgency=medium

  * [5b1e3d4] Imported Upstream version 0.4~dfsg~bzr50
  * [4e33f4a] Update self-test.
  * [e07aadd] Set clang explicitly.

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Jan 2014 18:41:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python-dev (>=2.6.6-3~),
  python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.launchpad.net/minieigen
 Vcs-Git: git://git.debian.org/git/debian-science/packages/minieigen.git

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,8 @@
 
 export PYTHONPATH :=  $(CURDIR)/debian/python-minieigen/usr/lib/python$(PYVER)/dist-packages:$(PYTHONPATH);
 
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf hurd-i386 mips mipsel))
-  export DEB_CXXFLAGS_MAINT_APPEND = --param ggc-min-expand=20 --param ggc-min-heapsize=128000
-  export DEB_CFLAGS_MAINT_APPEND = --param ggc-min-expand=20 --param ggc-min-heapsize=128000
-endif
+export DEB_CXXFLAGS_MAINT_APPEND = --param ggc-min-expand=1 --param ggc-min-heapsize=4096
+export DEB_CFLAGS_MAINT_APPEND = --param ggc-min-expand=1 --param ggc-min-heapsize=4096
 
 override_dh_installdocs:
 	dh_installdocs

## minieigen 0.41~dfsg~bzr51

=== debian/changelog ===
minieigen (0.41~dfsg~bzr51-2) unstable; urgency=medium

  * [b285b23] Fix autotest. Thanks to Martin Pitt <mpitt@debian.org>

 -- Anton Gladky <gladk@debian.org>  Fri, 28 Mar 2014 17:50:30 +0100

minieigen (0.41~dfsg~bzr51-1) unstable; urgency=medium

  * [787400b] Upload to unstable.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Mar 2014 21:13:09 +0100

minieigen (0.41~dfsg~bzr51~exp1-1) experimental; urgency=medium

  * [ea6d128] Imported Upstream version 0.41~dfsg~bzr51
  * [bc5fb48] Refresh patch.
  * [f0241d2] Add parallel option to debian/rules.
  * [c21bdca] Update dates in copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Mar 2014 19:38:02 +0100

minieigen (0.41~dfsg~bzr32-2) unstable; urgency=medium

  * [01ad0ae] Enable autotest.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Feb 2014 21:55:58 +0100

minieigen (0.41~dfsg~bzr32-1) unstable; urgency=medium

  * [af18e1e] Imported Upstream version 0.41~dfsg~bzr32.
              Return back to a previous uploaded version.
              Contintue discussion with upstream.
              (Closes: #736507)
  * [d9eb276] Set canonical VCS-fields.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Feb 2014 22:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.launchpad.net/minieigen
-Vcs-Git: git://git.debian.org/git/debian-science/packages/minieigen.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/minieigen.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/minieigen.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/minieigen.git
+XS-Testsuite: autopkgtest
 
 Package: python-minieigen
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --parallel
 
 PYVER = $(shell pyversions -dv)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -19,4 +19,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	$(CURDIR)/debian/test/test.py
+	$(CURDIR)/debian/tests/minieigentest.py

## minieigen 0.50+dfsg1

=== debian/changelog ===
minieigen (0.50+dfsg1-1ubuntu1) wily; urgency=medium

  * Build-depend on python3-all-dev + python3-all, instead of the inconsistent
    python3-dev + python3-all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Jul 2015 01:42:07 +0000

minieigen (0.50+dfsg1-1) unstable; urgency=medium

  * [35ad0e4] Add python3-package.
  * [f943685] Update d/copyright.
  * [63ee3d5] Add watch-file.
  * [b9e5f28] Imported Upstream version 0.50+dfsg1

 -- Anton Gladky <gladk@debian.org>  Tue, 12 May 2015 20:55:44 +0200

=== debian/control ===
Source: minieigen
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Václav Šmilauer <eu@doxos.eu>,
           Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-python-dev,
               libdouble-conversion-dev,
               libeigen3-dev,
               python-dev,
               python-sphinx (>= 1.0.7+dfsg),
               python3-all,
               python3-all-dev,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/minieigen.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/minieigen.git
Homepage: http://www.launchpad.net/minieigen
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-minieigen
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Recommends: libeigen3-dev
Description: Wrapper of parts of the Eigen library (Python 2)
 Small wrapper for core parts of Eigen, c++ library for linear algebra.
 It is mainly useful for inspecting c++ code which already uses eigen and
 boost::python. Supported types are Vectors (2,3,6 and dynamic-sized with
 integer and floating-point values), Matrices (3x3, 6x6 and dynamic-sized
 with floating-point values) and Quaternions. Numerous methods are wrapped
 and the original API of Eigen is followed.
 .
 This is the Python 2 version of the package.

Package: python3-minieigen
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Recommends: libeigen3-dev
Description: Wrapper of parts of the Eigen library (Python 3)
 Small wrapper for core parts of Eigen, c++ library for linear algebra.
 It is mainly useful for inspecting c++ code which already uses eigen and
 boost::python. Supported types are Vectors (2,3,6 and dynamic-sized with
 integer and floating-point values), Matrices (3x3, 6x6 and dynamic-sized
 with floating-point values) and Quaternions. Numerous methods are wrapped
 and the original API of Eigen is followed.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export PYBUILD_NAME=minieigen
+
 %:
-	dh $@ --with python2 --parallel
+	dh $@ --with python2,python3 --parallel --buildsystem=pybuild
 
 PYVER = $(shell pyversions -dv)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

=== debian/tests/control ===
Tests: minieigentest.py

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/eudoxos/minieigen/tags .*?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## minieigen 0.50.3%2Bdfsg1

=== debian/changelog ===
minieigen (0.50.3+dfsg1-4build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:44 +0000

minieigen (0.50.3+dfsg1-4) unstable; urgency=medium

  [ Steve Langasek ]
  * [558f0a2] Fix autopkgtest control file syntax. (Closes: #803738)
  * [7667c84] Build-depend on python3-all-dev. (Closes: #803694)

 -- Anton Gladky <gladk@debian.org>  Tue, 03 Nov 2015 20:04:43 +0100

minieigen (0.50.3+dfsg1-3) unstable; urgency=high

  * [6698a16] Update autotests.
  * [afc6f2e] Add python3.5-dev to build-depends.
  * [3b78a29] Minor fix in d/rules.

 -- Anton Gladky <gladk@debian.org>  Wed, 07 Oct 2015 20:05:03 +0200

minieigen (0.50.3+dfsg1-2) unstable; urgency=high

  * [bdc3901] Fix minieigen on python3, use proper linkage.
  * [57c6546] Remove get-orig script.
  * [8d93964] Update autotest

 -- Anton Gladky <gladk@debian.org>  Wed, 07 Oct 2015 09:01:57 +0200

minieigen (0.50.3+dfsg1-1) unstable; urgency=medium

  * [68c08f7] Add repacksuffix +dfsg1, d/watch.
  * [a0f27f2] Imported Upstream version 0.50.3+dfsg1
  * [13b6857] Refresh patch.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Sep 2015 08:15:40 +0200

minieigen (0.50+dfsg1-2) unstable; urgency=medium

  * [8a47ac0] Change LGPL-3.0+ on LGPL-3.0 (typo)
  * [c9985c8] Install README.txt

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Sep 2015 23:23:58 +0200

## minieigen 0.50.3+dfsg1

=== doc/Makefile ===
--- 
+++ 
@@ -40,6 +40,10 @@
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+
+htmlupload:
+	rsync -av build/html/ bbeta:host/flux/minieigen
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml

=== src/Makefile ===
# this makefile is only useful for testing
DCSRC=double-conversion/bignum.cc double-conversion/bignum-dtoa.cc double-conversion/cached-powers.cc double-conversion/diy-fp.cc double-conversion/double-conversion.cc double-conversion/fast-dtoa.cc double-conversion/fixed-dtoa.cc double-conversion/strtod.cc
MESRC=minieigen.cpp expose-boxes.cpp expose-complex.cpp expose-converters.cpp expose-matrices.cpp expose-quaternion.cpp expose-vectors.cpp 

default:
	clang++ -DEIGEN_DONT_ALIGN -ansi $(MESRC) $(DCSRC) -o minieigen.so -shared -fPIC `pkg-config python --cflags` -ftemplate-backtrace-limit=0 -lboost_python -I/usr/include/eigen3
	python basic-test.py
	# PYTHONPATH=. python -c 'from minieigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44)); print AlignedBox3((0,1,2),(3.12,4.34,5.22));'
	# for testing complex numbers
	# a=Vector6c(); a[0]=2+1j; a[1]=2j; a[2]=3; a[3]=0; print a
debug:
	g++ -DEIGEN_DONT_ALIGN -g -O0 -ansi $(MESRC) $(DCSRC) -o minieigen.so -shared -fPIC `pkg-config python --cflags` -lboost_python -I/usr/include/eigen3
	PYTHONPATH=. gdb --args python -c 'from minieigen import *; print Vector6.Zero, Matrix6(Vector6(1.232222,3.111,2.333,1.1,1.3,1.44)); print AlignedBox3((0,1,2),(3.12,4.34,5.22));'

=== debian/changelog ===
minieigen (0.50.3+dfsg1-8) unstable; urgency=medium

  * [ffbc36d] Use mathjax instead of pngmath. (Closes: #918797)
  * [dd52f7c] Set standards-version to 4.3.0

 -- Anton Gladky <gladk@debian.org>  Sun, 27 Jan 2019 09:14:29 +0100

minieigen (0.50.3+dfsg1-7) unstable; urgency=medium

  * [d764a5d] Update autopkgtests. (Closes: #913032)

 -- Anton Gladky <gladk@debian.org>  Wed, 21 Nov 2018 18:33:38 +0100

minieigen (0.50.3+dfsg1-6) unstable; urgency=medium

  [ Jeb Collins ]
  * [e46ccf5] Make minieigen more compliant with user defined data types.
              (Closes: #902714)

  [ Anton Gladky ]
  * [e1d1977] Apply cme fix dpkg
  * [da1b561] Fix FTBFS against newer boost versions
  * [0797929] Remove deprecated fields in d/control
  * [b62da98] Switch to compat-level 11
  * [e39ee99] Use python3-sphinx instead of python-sphinx

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Nov 2018 22:45:51 +0100

minieigen (0.50.3+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * [f0cef93] Use HTTPS in Vcs-Git.
  * [d293172] Tune gcc parameters some more to fix FTBFS in powerpc with gcc6.
  * [a739c93] Bump Standards-Version, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Aug 2016 16:38:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,22 @@
 Source: minieigen
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Václav Šmilauer <eu@doxos.eu>,
            Anton Gladky <gladk@debian.org>
 Section: libs
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libboost-python-dev,
                libdouble-conversion-dev,
                libeigen3-dev,
                python-dev,
-               python-sphinx (>= 1.0.7+dfsg),
+               python3-sphinx,
                python3-all,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/minieigen.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/minieigen.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/minieigen
+Vcs-Git: https://salsa.debian.org/science-team/minieigen.git
 Homepage: http://www.launchpad.net/minieigen
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
 
 Package: python-minieigen
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=minieigen

%:
	dh $@ --with python2,python3  --buildsystem=pybuild

PYVER = $(shell pyversions -dv)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export PYTHONPATH :=  $(CURDIR)/debian/python-minieigen/usr/lib/python$(PYVER)/dist-packages:$(PYTHONPATH);

export DEB_CXXFLAGS_MAINT_APPEND = --param ggc-min-expand=20 --param ggc-min-heapsize=4096
export DEB_CFLAGS_MAINT_APPEND = --param ggc-min-expand=20 --param ggc-min-heapsize=4096

override_dh_installdocs:
	dh_installdocs
	make -C doc html
	cp -r doc/build/html debian/python-minieigen/usr/share/doc/python-minieigen
	dh_sphinxdoc

override_dh_auto_install:
	dh_auto_install
	$(CURDIR)/debian/tests/minieigentest2

override_dh_installchangelogs:
	dh_installchangelogs README.txt

=== debian/tests/control ===
Tests: minieigentest2 minieigentest3
Depends: python-minieigen, python3-minieigen
